Bug 356011 - subversion package does not supply an init script to use svnserve as server
subversion package does not supply an init script to use svnserve as server
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: subversion (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-28 16:27 EDT by Tiger!P
Modified: 2009-12-18 01:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:00:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
init script to start svnserve as server (1.10 KB, application/octet-stream)
2007-10-28 16:27 EDT, Tiger!P
no flags Details
sysconfig file used in the init script (247 bytes, application/octet-stream)
2007-10-28 16:30 EDT, Tiger!P
no flags Details

  None (edit)
Description Tiger!P 2007-10-28 16:27:00 EDT
Description of problem:
The subversion package does not have an init script to use svnserve as a 
standalone server. And also no file that could be used to enable it via xinetd.

Version-Release number of selected component (if applicable):
1.4.3-4

How reproducible:
Install the subversion package. Then there is no /etc/init.d/subversion file 
that can be used to start a subversion server.

Actual results:
Files are missing

Expected results:
I thought I would be able to start a standalone server by starting the 
subversion service.

Additional info:
See the postings at http://forums.fedoraforum.org/showthread.php?t=122351 and 
http://www.svnforum.org/2017/viewtopic.php?t=281

I have added the script that is mentioned at the svnforum to this bug report.
The rpm should also create a system account for the svn user, which can be used 
to run svnserve as.
Comment 1 Tiger!P 2007-10-28 16:27:00 EDT
Created attachment 240951 [details]
init script to start svnserve as server
Comment 2 Tiger!P 2007-10-28 16:30:09 EDT
Created attachment 240961 [details]
sysconfig file used in the init script

The file that is attached should be renamed to subversion. I have used this
filename to prevent using the same name.
Comment 3 Bug Zapper 2008-05-14 10:53:44 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Tiger!P 2008-05-14 11:32:47 EDT
The Version-Release number of selected component (for Fedora 8) is: 1.4.4-7
Comment 5 Chris Spencer 2008-05-31 15:08:31 EDT
I second this. It would be a nice convenience and an easy win. The instructions
at http://blog.mohanjith.net/2007/07/svnserve-init-script.html worked perfectly
for me on Fedora 8, so I'd imagine adding it to the subversion package would be
trivial.
Comment 6 Bug Zapper 2008-11-26 03:07:30 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-11-18 07:22:37 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 01:00:02 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.